# Uses of Class
it.tdlight.jni.TdApi.VectorPathCommand

## Uses of TdApi.VectorPathCommand in it.tdlight.jni

Subclasses of TdApi.VectorPathCommand in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.VectorPathCommandCubicBezierCurve`
A cubic Bézier curve to a given point.
`static final class`
`TdApi.VectorPathCommandLine`
A straight line to a given point.
Fields in it.tdlight.jni declared as TdApi.VectorPathCommand
Modifier and Type
Field
Description
`TdApi.VectorPathCommand[]`
TdApi.ClosedVectorPath.`commands`
List of vector path commands.
Constructors in it.tdlight.jni with parameters of type TdApi.VectorPathCommand
Modifier
Constructor
Description
``
`ClosedVectorPath(TdApi.VectorPathCommand[] commands)`
Represents a closed vector path.